Method: projects.locations.spaces.applicationTemplates.snapshot

Snapshots an application template to create a new revision asynchronously.

HTTP request

POST https://designcenter.googleapis.com/v1/{name=projects/*/locations/*/spaces/*/applicationTemplates/*}:snapshot

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the application template.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • designcenter.applicationTemplates.update

For more information, see the IAM documentation.